Move AES_256_CTR to auth/Crypto for others to reuse
Description

The following warning was introduced by Adam Kupczyk. So creating a tracker for implementing the changes suggested by Adam

Kupczyk.

ceph/src/rgw/rgw_crypt.cc:38:2: warning: #warning "TODO: move this code to auth/Crypto for others to reuse." [-Wcpp]

#warning "TODO: move this code to auth/Crypto for others to reuse."

^

~~~

~

ceph/src/rgw/rgw_crypt.cc:247:2: warning: #warning "TODO: use auth/Crypto instead of reimplementing." [-Wcpp]

#warning "TODO: use auth/Crypto instead of reimplementing."

^

~~~

~

History

#1 - 05/04/2017 02:59 AM - Greg Farnum

- Project changed from Ceph to rgw

- Category deleted (common)

#2 - 05/07/2017 02:03 AM - Jos Collin

- Status changed from New to In Progress

PR Created by aclamk: https://github.com/ceph/ceph/pull/14498

#3 - 05/10/2017 02:01 PM - Adam Kupczyk

- Assignee changed from Jos Collin to Adam Kupczyk

#4 - 08/16/2017 02:36 AM - Jos Collin

PR: https://github.com/ceph/ceph/pull/17012 removes the annoying warning.
